﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace TrakalMatej.Astar {
    public class Matice {
        private Bod[,] matice;
        int sirka, vyska;

        public Bod Start { get; set; }
        public Bod Cil { get; set; }
        public int Sirka() {
            return sirka;
        }
        public int Vyska() {
            return vyska;
        }
        public Bod[,] DejMatici() {
            return matice;
        }

        public Matice(int x, int y) {
            this.sirka = x;
            this.vyska = y;
            matice = new Bod[x, y];
            naplnPrazdnou();
        }
        public void naplnPrazdnou() {
            #region naplnění nulových hodnot
            for (int i = 0; i < vyska; i++) {
                for (int j = 0; j < sirka; j++) {
                    matice[j, i] = new Bod() { Data = HodnotaBodu.prazdne, Souradnice = new Point(j, i) };
                }
            }
            #endregion
        }
        public Bod this[int x, int y] {
            get {
                /*
                 if (value.Data == HodnotaBodu.cil) {
                    matice[cil.Souradnice.X, cil.Souradnice.Y].Data = HodnotaBodu.prazdne;
                    this.cil = value;
                }
                if (value.Data == HodnotaBodu.start) {
                    matice[cil.Souradnice.X, cil.Souradnice.Y].Data = HodnotaBodu.prazdne;
                    this.start = value;
                } 
                */
                return matice[x, y];
            }
            set { this.matice[x, y] = value; }
        }
    }
}
